summaryrefslogtreecommitdiffstats
path: root/scripts/linux-trusty-qt512/before_install.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2019-09-03 23:07:37 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2019-09-05 17:54:09 -0700
commita921acb3ce30ef5cbc4ea8093fcc0bdae13fb109 (patch)
treef366b1ba56c348185a83de00daff85627040a0de /scripts/linux-trusty-qt512/before_install.sh
parent6670ea7bdb580db5630ce4176334801ef6c811d4 (diff)
downloadsubsurface-a921acb3ce30ef5cbc4ea8093fcc0bdae13fb109.tar.gz
Travis: build Subsurface AppImage against Qt 5.12
For this we need our own hand crafted trusty container with Qt 5.12, including QtWebKit and an updated cmake and libdbus, as well as already build googlemaps plugin, grantlee and libgit2. At the same time stop uploading the Subsurface AppImage in the traditional trusty build. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/linux-trusty-qt512/before_install.sh')
-rw-r--r--scripts/linux-trusty-qt512/before_install.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/linux-trusty-qt512/before_install.sh b/scripts/linux-trusty-qt512/before_install.sh
new file mode 100644
index 000000000..1d1e057cc
--- /dev/null
+++ b/scripts/linux-trusty-qt512/before_install.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# prep things so we can build for Linux
+# we have a custom built Qt some gives us just what we need, including QtWebKit
+#
+
+set -x
+
+# when running this locally, set TRAVIS_BUILD_DIR to the Subsurface
+# directory inside your Windows build tree
+TRAVIS_BUILD_DIR=${TRAVIS_BUILD_DIR:-$PWD}
+
+git fetch --unshallow || true # if running locally, unshallow could fail
+git pull --tags
+git submodule init
+git describe
+
+# make sure we have libdivecomputer
+echo "Get libdivecomputer"
+cd ${TRAVIS_BUILD_DIR}
+git submodule update --recursive
+cd libdivecomputer
+autoreconf --install
+autoreconf --install
+
+export QT_ROOT=/usr/local/Qt/5.12.4
+
+cd ${TRAVIS_BUILD_DIR}/..
+
+# start the container and keep it running
+docker run -v $PWD/subsurface:/subsurface --name=trusty-qt512 -w / -d dirkhh/trusty-qt512:0.6 /bin/sleep 60m